.root {
    --back_ground_input: #cfcdc5;
    --back_ground_hover: #9696969a;
    --fine_border_button: 1px solid #dddddd;
}


.chat {
    background-color: white;
    width: 30vw;
    height: 70vh;
    max-width: 350px;
    max-height: 450px;
    min-width: 300px;
    min-height: 290px;
    row-gap: 4px;
    padding: 10px;
    border-radius: 10px;
    box-shadow: var(--box_shadow);
    margin-top: 10px;
    z-index: 10 !important;
    display: flex;
    flex-direction: column-reverse;
}

.dinamic_div_chat {
    position: fixed;
    bottom: 10px;
    right: 0;
    margin-right: calc(10px + 10vw);
    max-width: 100vw;
    z-index: 4001;
}
.div_chat_header {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
}
.header_left.text-inline {
    padding: 5px;
    border-radius: 5pc;
    background-image: linear-gradient(-225deg, #E3FDF5 0%, #FFE6FA 100%);
    width: 100%;
  }


.div_chat_body {
    width: 100%;
    height: 84%;
    max-height: 84%;
    background-color: aliceblue;
    border-radius: 10px;
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
    overflow-y: scroll;
    scroll-snap-align: start;
    scroll-behavior: smooth;
    padding: 4px;
}

.input_mensagem0,.input_comentario{
    background-color: var(--half_dark_background2);
    border-radius: 10px;
    white-space: pre-wrap;
    word-break: break-word;
    max-height: 80px !important;
    resize: none;
    overflow-y: auto;
    outline: none;
    box-shadow: none;
    border: none;
    width: 100%;
    font-size: 14px;
    padding: 5px;
    padding-inline: 10px;
    height: fit-content
}

.div_button_send_mensagem {
    width: fit-content;

}


.button_send {
    background-color: inherit;
    border: none;
    padding: 0px;
}




.paragraph_input {
    direction: ltr;
    width: 100%;
    user-select: text;
    white-space: pre-wrap;
    line-height: 14px;
}




.div_user_mensagem {
    display: flex;
}


:root {
    --name: #10;
}


.div_mensagem_completa {
    background-color: #bdc3c4;
    width: fit-content;
    border-radius: 0px 20px 20px 20px;
    padding-inline: 10px;
    padding-block: 8px;
    word-break: break-all;
    max-width: 80%;
    line-height: 1.1;
}

.input_file_mensagem {
    width: 25px !important;
    height: 25px !important;
}

.button_form_mensagem {
    width: fit-content !important;
    display: flex;
    align-items: center;
    justify-content: center;

}

.div_input_file_mensagem label {
    display: flex;
    justify-content: center;
    align-items: center;
}

.div_form_mensagem {
    display: grid;
    grid-template-columns: 50px auto 25px;
    width: 100%;
    align-items: end;
}

.btn_emoji {
    padding: 0;
    border: none;
    background-color: unset;
    width: 25px;
    height: 25px;
    display: flex;
    align-items: center;
}

.user_mensagem0 {
    justify-content: end;
    text-align: end;
}
.user_mensagem0[isread="False"]:after{
    filter:grayscale(100%) !important;
}

.user_mensagem0:after{
    align-self: flex-end; 
    background-size: contain;
    margin-left: 5px;
    width: 15px;
    height:15px;
    content: "";
    background-image: url('/public/gallery/icon/double-tick-50.png');
}
.contact_mensagem0::before{
    content: "";
    background-image: var(--back-image-contact);
    width: 30px;
    height: 30px;
    margin-right: 2px;
    border-radius: 5pc;
    background-size: cover;
    /* transform:  translate(0,-10px); */
}
.user_mensagem0:after,.contact_mensagem0::before
   {
     
     background-repeat: no-repeat;
       
    }


.div_mensagem {
    display: flex;
    border-radius: 10px;
    margin-block: 2px;
    font-weight: 600;
    padding-inline: 3px;
    font-size: 14px;
}

.user_mensagem1 {
    background-color: #a2dfea;
    border-radius: 20px 20px 0px 20px;
    .message-img{
      float: right;
    }
}

.show_user_mensagem {
    padding: 5px;
}

.btn_delete_mensagem {
    display: flex;
    border: none;
    padding: 0px;
    background-color: unset;
    align-items: center;
}


.btn_chat_header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.chat_settings {
    position: absolute;
    left: 0;
    right: 0;
    top: 10px;
    margin: auto;
    height: fit-content;
    font-size: 12px;
    z-index: 1;
    background-color: white;
    border: 1px solid rgb(179, 175, 175);
    width: fit-content;
    border-radius: 6px;
    flex-direction: column;
    display: none;
}

.settings_chat,
.btn_delet_conversa {
    display: flex;
    flex-direction: row;
    padding: 2px;
    font-weight: 600;
    justify-content: space-between;
    border-radius: 5px;
    width: 100%;

}

.btn_delet_conversa {
    background-color: none;
    align-items: center;
    border: none;
    background-color: initial;
}

.body_chat_settings {
    padding: 5px;
    display: flex;
    flex-direction: column;
}

.settings_chat:hover {
    background-color: var(--back_ground_hover) !important;
}

#view_selected_image {
    max-width: 150px;
    object-fit: scale-down;
    max-height: 200px;
}

.contactos {
    border-radius: 20pc;
    cursor: pointer;
    background-color: var(--button_affter_hover);
    background-image: var(--contact-background);
}

.contactos:hover {
    background-color: var(--button_hover) !important;

}

.imagem_mensagem_downlods {
    width: 60px;
    height: 78px;
    padding-block: 5px;
    object-fit: cover;
}

.file_mensagem_downlods {
    width: 50px;
    height: 70px;
    object-fit: scale-down;
}

.file_charge_chat {
    width: 50px;
    height: 60px;
    border-radius: 4px;
    object-fit: cover;
    margin-bottom: 4px;
}

.default_mensagem {
    display: flex;
    justify-content: center;
    font-size: 15px;
    flex-direction: column;
    align-items: center;
    font-size: 20px;
    font-style: italic;
    font-weight: 600;
}

.default_mensagem_img {
    width: 80px;
    height: 90px;
    border-radius: 20pc;
    object-fit: cover;
}
.div_hora {
    justify-content: center;
    display: none;
  }
  
.div_mensagem:hover {
    background-color: rgba(255, 255, 255, 0.822);
    cursor: pointer;
}

.box {
    .wait_pack_message {
        max-height: 23px;
        display: flex;
        align-items: center;
    }
}
.message-img{
    max-width: 50% !important;
    object-fit: cover !important;
    border: var(--fine_border_div);
    border-radius: 10px;
}
.div_mensagem_completa:has(.message-img){
    background-color: unset !important;
    padding: unset;
}